/* -*- coding: utf-8 -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8
*/
@CHARSET "utf-8";

body { font-size: 85%; }
.fpcontainer { margin: 2px; }
.vcontainer { }

h1, h2, h3, h4, h5, h6 { margin: 0.25em 0 0 0; }
h1:first-child, h2:first-child, h3:first-child, h4:first-child, h5:first-child, h6:first-child,
script:first-child + h1, script:first-child + h2, script:first-child + h3, script:first-child + h4, script:first-child + h5, script:first-child + h6,
h1 + h1, h1 + h2, h1 + h3, h1 + h4, h1 + h5, h1 + h6,
h2 + h2, h2 + h3, h2 + h4, h2 + h5, h2 + h6,
h3 + h3, h3 + h4, h3 + h5, h3 + h6,
h4 + h4, h4 + h5 , h4 + h6,
h5 + h5, h5 + h6,
h6 + h6 { margin-top: 0; }

fieldset { padding: 0 1em 1em 1em; margin: 0; }

a:link, a:visited { text-decoration: none; }
a:hover, a:active { text-decoration: underline; }

.grid { border-collapse: collapse; }
.grid td, .grid th { border: 1px solid black; }
.nocollapse { border-collapse: separate; }
.noborder { border: none; }
.auto { width: auto; }
.left { text-align: left; }
.center { text-align: center; }
.right { text-align: right; }
.top { vertical-align: top; }
.bottom { vertical-align: bottom; }

.hidden { visibility: hidden; }
.collapsed { visibility: collapse; }

.bold { font-weight: bold; }
.italic { font-style: italic; }

/* Forms */
form table th,
form table td,
form table caption { padding: 0px 4px 0px 4px; }
form label { font-weight: normal; }
form input[type=text],
form input[type=password],
form input.text,
form input.title,
form textarea,
form select { margin: 2px; }
form textarea { padding: 0px; }
.axial table { width: auto; border-collapse: collapse; }
.axial tr th { border-bottom: 1px solid black; }
.axial th { width: 15em; background-color: #eee; }

/* Icons */
.bperror, .bpwarning, .bpinfo, .bpquestion, .bpplus, .bpminus, .bpdone {
	padding-left: 18px; min-height: 16px; background-repeat: no-repeat;
}
.bperror { background-image: url(bpicons/error.png); }
.bpwarning { background-image: url(bpicons/warning.png); }
.bpdone { background-image: url(bpicons/done.png); }
.bpinfo { background-image: url(bpicons/info.png); }
.bpquestion { background-image: url(bpicons/question.png); }
.bpplus { background-image: url(bpicons/plus.png); }
.bpminus { background-image: url(bpicons/minus.png); }
.bperrorm, .bpwarningm, .bpdonem, .bpinfom, .bpneutralm {
	margin: 0.67em 0; padding: 0.33em 0 0.67em 42px; min-height: 32px; border: 2px solid #ddd;	
	background-repeat: no-repeat; background-position: 5px 1em;
}
.bperrorm { background-image: url(bpicons/lerror.png); background-color: #FBE3E4; color: #8a1f11; border-color: #FBC2C4; }
.bpwarningm { background-image: url(bpicons/lwarning.png); background-color: #FFF6BF; color: #514721; border-color: #FFD324; }
.bpdonem { background-image: url(bpicons/ldone.png); background-color: #E6EFC2; color: #264409; border-color: #C6D880; }
.bpinfom { background-image: url(bpicons/linfo.png); border-color: #5566CC; }
.bpneutralm { background-image: url(bpicons/lneutral.png); }

/* Print */
@media all {
.noprint {}
}
@media print {
.noprint { display: none; }
a:link:after, a:visited:after { content: ""; }
a[href^="http:"]:link:after, a[href^="https:"]:link:after,
a[href^="http:"]:visited:after, a[href^="https:"]:visited:after { content: " (" attr(href) ")"; }
}
